Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | Public Attributes | List of all members
ranges::view::for_each_fn Struct Reference

## Description

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result.

## Synopsis of methods
constexpr view< for_each_fn > | for_each {}

## Public Member Functions
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const requires ViewableRange< Rng > &&TransformableRange< Rng

## Public Attributes
auto Fun && | JoinableRange< transform_view< all_t< Rng >, Fun > >

## Member Data Documentation

## ◆ JoinableRange< transform_view< all_t< Rng >, Fun > >

auto Fun&& ranges::view::for_each_fn::JoinableRange< transform_view< all_t< Rng >, Fun > >

Initial value:
{
return join(transform(static_cast<Rng &&>(rng), std::move(fun)))